# eric4.UI.EmailDialog

Module implementing a dialog to send bug reports.

### Classes

EmailDialog | Class implementing a dialog to send bug reports.

### Functions

None

## EmailDialog

Class implementing a dialog to send bug reports.

### Derived from

QDialog, Ui_EmailDialog

### Methods

EmailDialog | Constructor
__createMultipartMail | Private method to create a multipart mail message.
__createSimpleMail | Private method to create a simple mail message.
__sendmail | Private method to actually send the message.
keyPressEvent | Re-implemented to handle the user pressing the escape key.
on_addButton_clicked | Private slot to handle the Add...
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_buttonBox_rejected | Private slot to handle the rejected signal of the button box.
on_deleteButton_clicked | Private slot to handle the Delete button.
on_message_textChanged | Private slot to handle the textChanged signal of the message edit.
on_sendButton_clicked | Private slot to send the email message.
on_subject_textChanged | Private slot to handle the textChanged signal of the subject edit.

#### EmailDialog (Constructor)

EmailDialog(parent=None)

Constructor

parent
  parent widget of this dialog (QWidget)

#### EmailDialog.__createMultipartMail

__createMultipartMail()

Private method to create a multipart mail message.

Returns:
  string containing the mail message

#### EmailDialog.__createSimpleMail

__createSimpleMail()

Private method to create a simple mail message.

Returns:
  string containing the mail message

#### EmailDialog.__sendmail

__sendmail(msg)

Private method to actually send the message.

msg
  the message to be sent (string)

Returns:
  flag indicating success (boolean)

#### EmailDialog.keyPressEvent

keyPressEvent(ev)

Re-implemented to handle the user pressing the escape key.

ev
  key event (QKeyEvent)

#### EmailDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to handle the Add... button.

#### EmailDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### EmailDialog.on_buttonBox_rejected

on_buttonBox_rejected()

Private slot to handle the rejected signal of the button box.

#### EmailDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to handle the Delete button.

#### EmailDialog.on_message_textChanged

on_message_textChanged()

Private slot to handle the textChanged signal of the message edit.

txt
  changed text (QString)

#### EmailDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the email message.

#### EmailDialog.on_subject_textChanged

on_subject_textChanged(txt)

Private slot to handle the textChanged signal of the subject edit.

txt
  changed text (QString)

Up